using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using UUN;
using System.Data.SqlClient;
using System.IO;
using System.Text;

public partial class Admin_YeMian_ZengJiaWenJianJia : System.Web.UI.Page
{
    private 访问 访问;
    protected String 加载代码;
    protected void Page_Load(object sender, EventArgs e)
    {
        访问 = new 访问(this.Context);
        访问.开始处理("增加文件夹", "网站后台", "增加文件夹", new 访问.回调委托(ZhiXing));
    }

    private void ZhiXing()
    {
        访问.验证管理员();

        Label1.Text = 获取文件夹位置(Request.QueryString["ti"]);
        if (this.IsPostBack)
            增加文件夹();
    }

    private String 获取文件夹位置(String 文件夹位置)
    {
        if (文件夹位置 == "_")
            文件夹位置 = "/";
        else if (文件夹位置.StartsWith("wap_", StringComparison.OrdinalIgnoreCase))
            文件夹位置 = 文件夹位置.Substring(4, 文件夹位置.LastIndexOf('/') - 3);
        else if (文件夹位置.StartsWith("3g_", StringComparison.OrdinalIgnoreCase))
            文件夹位置 = 文件夹位置.Substring(3, 文件夹位置.LastIndexOf('/') - 2);
        else if (文件夹位置.StartsWith("fol_", StringComparison.OrdinalIgnoreCase))
            文件夹位置 = 文件夹位置.Substring(4);
        return 文件夹位置;
    }

    private void 增加文件夹()
    {
        访问.验证权限("8");
        String 文件夹位置 = Request.QueryString["ti"];

        文件夹位置 = 获取文件夹位置(文件夹位置);
        String _文件夹位置 = WenJianJiaMingChen.Text;

        if (_文件夹位置 == "")
            throw new Exception("文件夹位置不能为空");
        if (_文件夹位置.IndexOf('/') != -1 || _文件夹位置.IndexOf('\\') != -1)
            throw new Exception("文件夹位置不能包含'/'字符");

        if (Directory.Exists(Server.MapPath(程序.安装位置 + 文件夹位置.Substring(1)+_文件夹位置+"/")))
            throw new Exception("不能建立该文件夹");

        if (文件夹位置.StartsWith("/club/", StringComparison.OrdinalIgnoreCase))
            Directory.CreateDirectory(Server.MapPath(程序.安装位置 + "Template/Club/" + 程序.设置["默认社区模板"] + "/WapPage" + 文件夹位置.Substring(5) + _文件夹位置 + "/"));
        else
            Directory.CreateDirectory(Server.MapPath(程序.安装位置 + "Template/Content/" + 程序.设置["默认模板"] + "/WapPage" + 文件夹位置 + _文件夹位置 + "/"));
        Directory.CreateDirectory(Server.MapPath(程序.安装位置 + 文件夹位置.Substring(1) + _文件夹位置 + "/"));

        加载代码 = "window.open('../DH_YeMianGuanLi.aspx','ZuoDaoHang');";
    }
}
